| NFFT 3.5.0

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
ndft_fast.c File Reference

Testing ndft, Horner-like ndft, and fully precomputed ndft. More...

`#include "config.h"`
`#include <stdio.h>`
`#include <math.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include "nfft3.h"`
`#include "infft.h"`
Include dependency graph for ndft_fast.c:

Go to the source code of this file.

## Functions
static void | ndft_horner_trafo (NFFT(plan)*ths)
static void | ndft_pre_full_trafo (NFFT(plan)*ths, C *A)
static void | ndft_pre_full_init (NFFT(plan)*ths, C *A)
static void | ndft_time (int N, int M, unsigned test_ndft, unsigned test_pre_full)
int | main (int argc, char **argv)

## Detailed Description

Testing ndft, Horner-like ndft, and fully precomputed ndft.

Author
  Stefan Kunis

Definition in file ndft_fast.c.